version: '3.3'

services:
  portainer:
    image:  portainer/portainer
    ports:
      - "9000:9000" 
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - portainer_data:/data
    restart: always

  #################################################################
  # Database Services
  #################################################################
  zyfra-database:
    image: postgres:11.3
    ports:
      - "5432:5432"
    container_name: zyfra-database
    hostname: zyfra-database

    environment:
      - POSTGRES_PASSWORD=password
      - POSTGRES_USER=mnemo
      - POSTGRES_DB=mnemo
    volumes:
      - ./db-data:/var/lib/postgresql/data
      - ./postgresql.conf:/var/lib/postgresql/data/postgresql.conf

  #################################################################
  # Application Services
  #################################################################
  mnemoschemes-service:
    image: nexus2.zyfra.com:8082/digitalplant/zps/applications/mnemoschemes-service:latest
    ports:
      - "8099:8090"
    container_name: mnemoschemes-service
    environment:
      - DBHOST=zyfra-database
      - DBPORT=5432
      - DBNAME=mnemo
      - DBUSER=mnemo
      - DBPASSWORD=password
    depends_on:
      - zyfra-database

  #################################################################
  # JSON Server
  #################################################################
  json-server:
    image: vimagick/json-server
    command: -H 0.0.0.0 -p 3000 -w db.json
    ports:
      - "3000:3000"
    volumes:
      - ./:/data
    restart: always

{% for soft in front_list %}
{% if soft.docex %}
{% include 'de.j2' %}
{% endif %}
{% endfor %}
 
  #################################################################
  # root-spa
  #################################################################
  root-spa:
    image: nexus2.zyfra.com:8082/digitalplant/zps/applications/root-spa:latest
    environment:
      - API_BaseConfigUrl={{ API_BaseConfigUrl }}
    ports:
      - "80:80"
    volumes:
      - ./root-spa:/etc/nginx/conf.d/
    restart: always

  #################################################################
  # root-shell
  #################################################################
  root-shell:
    image: nexus2.zyfra.com:8082/digitalplant/zps/applications/root-shell:latest
    environment:
      - API_BaseConfigUrl=http://192.168.101.147:3000/
    ports:
      - "83:80"
    restart: always

  #################################################################
  # caa-om
  #################################################################
  caa-om:
    image: nexus2.zyfra.com:8082/digitalplant/zps/applications/caa-om:latest
    environment:
      - API_B2MMLSvc=http://192.168.101.105:8093/restapi
      - API_DatareferencesSvc=http://192.168.101.105:8084/restapi
      - API_DirectoriesSvc=http://192.168.101.105:8082/restapi
      - API_ObjectSvc=http://192.168.101.105:8081/restapi
      - API_PropertySvc=http://192.168.101.105:8083/restapi
      - API_PropertydataSvc=http://192.168.101.105:8090/restapi
      - API_TSDSMetadataSvc=http://192.168.101.207:8098/api/v0.1
      - API_TestspecificationSvc=http://192.168.101.105:8091/restapi
      - API_UOMSSvc=http://192.168.101.105:8085/restapi
      - API_ValuetypesSvc=http://192.168.101.105:8086/restapi
    ports:
      - "84:80"
    restart: always

  #################################################################
  # caa-tsds
  #################################################################
  caa-tsds:
    image: nexus2.zyfra.com:8082/digitalplant/zps/applications/tsds-caa:dev-latest
    environment:
      - API_URL=http://192.168.101.207:8098/api/v0.1
    ports:
      - "85:80"
    restart: always

  #################################################################
  # caa-ef
  #################################################################
  caa-ef:
    image: nexus2.zyfra.com:8082/digitalplant/zps/applications/ef-caa:latest
    environment:
      - API_EFConfigSvc=http://192.168.101.105:8088/restapi
    ports:
      - "97:80"
    restart: always

  #################################################################
  # caa-nifi
  #################################################################
  caa-nifi:
    image: nexus2.zyfra.com:8082/digitalplant/zps/applications/nifi-caa:latest
    environment:
      - API_Nifi=http://192.168.101.102/nifi-proxy/nifi-api/
    ports:
      - "4209:80"
    restart: always

  #################################################################
  # caa-calculation
  #################################################################
  caa-calculation:
    image: nexus2.zyfra.com:8082/digitalplant/zps/applications/calculation-caa:latest
    environment:
      - API_Calculation=http://192.168.101.126:8998/
      - API_CalculationConfig=http://192.168.101.105:8101/api/v0.1/
    ports:
      - "88:80"
    restart: always
  
  #################################################################
  # caa-tsds
  #################################################################
  caa-tsds:
    image: nexus2.zyfra.com:8082/digitalplant/zps/applications/tsds-caa:dev-latest
    environment:
      - API_URL=http://192.168.101.207:8098/api/v0.1
    ports:
      - "85:80"
    restart: always

  #################################################################
  # caa-ef
  #################################################################
  caa-ef:
    image: nexus2.zyfra.com:8082/digitalplant/zps/applications/ef-caa:latest
    environment:
      - API_EFConfigSvc=http://192.168.101.105:8088/restapi
    ports:
      - "97:80"
    restart: always


  #################################################################
  # Notification-UI
  #################################################################
  Notification-UI:
    image: nexus2.zyfra.com:8082/digitalplant/zps/applications/zps-notification-ui:latest
    environment:
      - API_EVENTS=http://192.168.101.147:8088
      - API_NOTIFICATION=http://192.168.101.105:8089
    ports:
      - "86:80"
    restart: always

  #################################################################
  # Nreportconfigurator
  #################################################################
  reportconfigurator:
    image: nexus2.zyfra.com:8082/digitalplant/zps/applications/reportconfigurator:latest
    environment:
      - API_Rs=http://192.168.101.105:44001/rsapi/
    ports:
      - "91:80"
    restart: always

  redis:
    image: redis:3.2
    restart: unless-stopped
    ports:
      - 6379:6379
    volumes:
      - redis:/data

volumes:
    redis:
      external: false
    portainer_data:
      driver: local
   

